Invoices

List invoices

Lists your invoices, newest first. Rate limit: 60 per minute per API key, shared with the other endpoints that have this limit.

GET
/api/v1/invoices

Authorization

bearerAuth
headerAuthorizationBearer <token>

A live API key, sk_live_ followed by 32 base58 characters.

Query Parameters

limit?integer

Number of items per page.

Range1 <= value <= 100
Default20
starting_after?string

Id of the last item of the previous page. Returns the items after it.

Length1 <= length
status?string

Only return invoices with this status.

Value in"created""awaiting_payment""detected""processing""paid""underpaid""refunded""failed""expired"

Response Body

One page of invoices.

application/json
  1. response
object*string
data*array<>
has_more*boolean
Example Request
curl -X GET 'https://example.com/api/v1/invoices'
Example Response
{  "object": "list",  "data": [    {      "id": "inv_7h3K9dWq2LmN4pRt6vXy",      "object": "invoice",      "mode": "live",      "status": "created",      "amount": "string",      "currency": "USD",      "order_id": "string",      "description": "string",      "customer_email": "string",      "redirect_url": "string",      "metadata": {        "property1": "string",        "property2": "string"      },      "settlement": {        "asset_id": "string",        "symbol": "string",        "blockchain": "string",        "amount": "string",        "amount_base": "string"      },      "late": true,      "extra_payment": true,      "checkout_url": "http://example.com",      "receipt_url": "http://example.com",      "redeemed_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true}